KColorPatch Class Reference

`#include <kcolordialog.h>`

Inherits QFrame.

## Signals

void | colorChanged (const QColor &)

## Public Member Functions

| KColorPatch (QWidget *parent)
void | setColor (const QColor &col)

## Protected Member Functions

virtual void | drawContents (QPainter *painter)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | dragEnterEvent (QDragEnterEvent *)
virtual void | dropEvent (QDropEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A color displayer.

The KColorPatch widget is a (usually small) widget showing a selected color e. g. in the KColorDialog. It automatically handles drag and drop from and on the widget.

Definition at line 311 of file kcolordialog.h.

The documentation for this class was generated from the following files:

- kcolordialog.h
- kcolordialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys